QGIS Application - Bug report #3908

WMS Identify fails on mixed queryable/non-queryable sublayers

2006-03-24 01:02 PM - Brendan Morley -

Status: Closed

Priority: Low

Assignee: Brendan Morley -
Category: Web Services clients/WMS

Affected QGIS version:
Operating System: All

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 13932

Description

The identify tool is disabled if all WMS layers from a server have queryable=0, which is fine. However if some layers are queryable=1, the

identify tool is enabled, which is also fine.

However if somebody uses the Identify tool in the second scenario, the query back to the server currently queries on all visible layers, not
just the queryable=1 ones. This results in an error back from the WMS server.

Resolution would be to filter the list of layers sent to the server so that only the queryable=1 subset is sent.

History

#1 - 2006-03-26 12:01 AM - Brendan Morley -
- Status changed from Open to In Progress

#2 - 2006-07-16 06:20 PM - Brendan Morley -
- Resolution set to fixed
- Status changed from In Progress to Closed

Fixed in commit:2b799141 (SVN r5607).

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
